org.apache.commons.math3.random

## Interface RandomVectorGenerator

All Known Implementing Classes:
  CorrelatedRandomVectorGenerator, UncorrelatedRandomVectorGenerator, UnitSphereRandomVectorGenerator

    public interface RandomVectorGenerator

This interface represents a random generator for whole vectors.

Since:
  1.2
Version:
  $Id: RandomVectorGenerator.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`double[]` `nextVector()` Generate a random vector.

### Method Detail

#### nextVector

    double[] nextVector()

Generate a random vector.

Returns:
  a random vector as an array of double.